package com.bonus.canteen.core.supply.purchase.domain.param;

import com.bonus.canteen.core.supply.purchase.domain.bo.DrpInquiryDetailAddDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel(
   description = "新增询价入参"
)
public class DrpInquiryAddDTO {
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("报价开始时间")
   private @NotNull(
   message = "开始报价时间不能为空!"
) LocalDateTime startTime;
   @ApiModelProperty("报价结束时间")
   private @NotNull(
   message = "报价结束时间不能为空!"
) LocalDateTime endTime;
   @ApiModelProperty("要求到货时间")
   private LocalDate requestArrivalTime;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("联系电话")
   private String phone;
   @ApiModelProperty("区域")
   private String area;
   @ApiModelProperty("收货地址")
   private String address;
   @ApiModelProperty("询价备注")
   private String inquiryNotes;
   @ApiModelProperty("询价原料明细")
   @Valid
   @Size(
   min = 1,
   message = "请添加询价原料明细"
) List<DrpInquiryDetailAddDTO> detailList;
   @ApiModelProperty("供应商列表")
   @Valid List<Long> supplierIds;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public LocalDate getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getArea() {
      return this.area;
   }

   public String getAddress() {
      return this.address;
   }

   public String getInquiryNotes() {
      return this.inquiryNotes;
   }

   public List<DrpInquiryDetailAddDTO> getDetailList() {
      return this.detailList;
   }

   public List<Long> getSupplierIds() {
      return this.supplierIds;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setRequestArrivalTime(final LocalDate requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setArea(final String area) {
      this.area = area;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setInquiryNotes(final String inquiryNotes) {
      this.inquiryNotes = inquiryNotes;
   }

   public void setDetailList(final List<DrpInquiryDetailAddDTO> detailList) {
      this.detailList = detailList;
   }

   public void setSupplierIds(final List<Long> supplierIds) {
      this.supplierIds = supplierIds;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
